#include <iostream>
#include <cmath>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    vector<string> fill;
};

Input
input_data(istream& inx)
{

size_t number_count;
cerr << "number_count= ";
inx >> number_count;

Input in;

in.numbers.resize(number_count);
cerr << "numbers: ";
for (size_t i = 0; i < number_count; i++) {
    inx >> in.numbers[i];
}

cerr << "bin_count= ";
inx >> in.bin_count;

in.fill.resize(in.bin_count);

for (size_t i = 0; i < in.bin_count; i++)
    {
        cerr << "Cvet: ";
        inx >> in.fill[i];
    }

return in;
}


int
main()
{
    auto in = input_data(cin);

    auto bins = make_histogram(in.numbers, in.bin_count);

    show_histogram_svg(bins, in.fill);

    return 0;
}


